// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef CPPCODEGENTEST_CLASS6_H
#define CPPCODEGENTEST_CLASS6_H

/************************************************************
 Class6 class header
 ************************************************************/

#include "CppCodegenTest/Pkg_CppCodegenTest.h"

#include "CppCodegenTest/Class3.h"
#include "CppCodegenTest/Class5.h"

namespace CppCodegenTest {

/************************************************************/
/**
 * Virtual class inheritance and class instantiation
 */
class Class6: public Class5 {
public:

	/**
	 * 
	 */
	Class3 class3;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace CppCodegenTest

/************************************************************
 End of Class6 class header
 ************************************************************/

#endif
